Skip to main content
POST
Create localized content
This feature only works when editing journeys created in Vero 1.0 (known as workflows) at the present time. You can add content to journeys created in Vero 2.0 but this feature is not yet supported in the Vero 2.0 UI.

Authorizations

Authorization
string
header
required

Accepts either a raw API key or Bearer <key>.

Headers

revision
string

Optional dated API revision for the request. Must use YYYY-MM-DD format.

Pattern: ^\d{4}-\d{2}-\d{2}$
Example:

"2026-03-01"

Path Parameters

journey_id
integer
required

Journey ID.

message_id
integer
required

Message ID.

Body

application/json
locale
string
required

Locale for the new content. Required, and must not already exist on this message.

Maximum string length: 255
subject
string | null

Subject line. Omit to inherit the default content's.

preheader_text
string | null

Preheader text. Omit to inherit the default content's.

content
object

Channel content body — exactly one of mjml, html, text, or payload.

Response

Journey content created.

id
integer
required
locale
string | null
required
is_default
boolean
required
subject
string | null
required
preheader_text
string | null
required
content
object
required

Channel content body — exactly one of mjml, html, text, or payload.